## madlib 1.3.0

=== Tutorial/Makefile ===
# -------------------------------------------------------------------
# MAdLib - Copyright (C) 2008-2009 Universite catholique de Louvain
#
# See the Copyright.txt and License.txt files for license information. 
# You should have received a copy of these files along with MAdLib. 
# If not, see <http://www.madlib.be/license/>
#
# Please report all bugs and problems to <contrib@madlib.be>
#
# Authors: Gaetan Compere, Jean-Francois Remacle
# -------------------------------------------------------------------


INC =  ${MAdLib_INCLUDES}\
       ${DASH}I$(MAdROOT)/Tutorial\
       ${DASH}I$(MAdROOT)/Geo\
       ${DASH}I$(MAdROOT)/Mesh\
       ${DASH}I$(MAdROOT)/Common\
       ${DASH}I$(MAdROOT)/Adapt\
       ${DASH}I$(MAdROOT)/Adapt/constraint\
       ${DASH}I$(MAdROOT)/Adapt/operator\
       ${DASH}I$(MAdROOT)/Adapt/output\
       ${DASH}I$(MAdROOT)/Adapt/quality\
       ${DASH}I$(MAdROOT)/Adapt/repositioning\
       ${DASH}I$(MAdROOT)/Adapt/sizeField\
       ${DASH}I$(MAdROOT)/Adapt/utils

CXXFLAGS = ${OPTIM} ${MAdLib_DEFS} ${FLAGS} ${INC} ${SYSINCLUDE}

SRC = MAdLibInterface.cc

OBJ = ${SRC:.cc=${OBJEXT}}

.SUFFIXES: ${OBJEXT} .cc

.cc${OBJEXT}:
	${CXX} ${CXXFLAGS} ${DASH}c $< ${DASH}o $@

build: ${OBJ}

clean:
	${RM} */*.o *.o *.obj

purge:

depend:
	(sed '/^# DO NOT DELETE THIS LINE/q' Makefile && \
         ${CXX} -MM ${CXXFLAGS} ${SRC} | sed 's/.o:/$${OBJEXT}:/g' \
        ) > Makefile.new
	cp Makefile Makefile.bak
	cp Makefile.new Makefile
	rm -f Makefile.new

=== debian/changelog ===
madlib (1.3.0-4) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * debian/control: Add Vcs-* Headers.

  [ Petter Reinholdtsen ]
  * Updated Standards-Version from 3.8.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Flag madlib-doc with Multi-Arch: foreign.
  * Added d/gbp.conf documenting git branch with debian build rules.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 30 May 2024 21:59:36 +0200

madlib (1.3.0-3) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * debian/control: Set "Debian QA Group" as Maintainer.
  * Switch to source-format 3.0 (quilt). (Closes: #1007462)
  * Switch to dh and debhelper-compat 10.
  * debian/rules: Remove build path in dh_installexamples override.
  * debian/control: Drop libmadlib-dbg.
  * debian/control: Change to Priority "optional".
  * debian/control: Update Homepage URL.
  * debian/control: Remove obsolete Vcs-* headers.
  * debian/rules: Drop get-orig-source target.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/watch: Update for new location.

  [ Chris Lamb ]
  * debian/rules: Use --with-hostname to set hostname (Closes: #778946)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Fri, 21 Oct 2022 16:08:44 -0700

madlib (1.3.0-2.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 13:42:59 +0100

madlib (1.3.0-2.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667267.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Apr 2012 08:37:01 +0200

madlib (1.3.0-2) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "FTBFS with GCC 4.4: missing #include", thanks to Martin
    Michlmayr (Closes: #553702).
  * Bug fix: "long description no sentence", thanks to Gerfried Fuchs
    (Closes: #553245).

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 20 Dec 2009 20:25:07 +0100

madlib (1.3.0-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 17 Oct 2009 20:53:16 +0200

madlib (1.2.3-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * Initial release (Closes: #539861))

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 11 Oct 2009 16:25:53 +0200

=== debian/control ===
Source: madlib
Section: math
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 10),
               libblas-dev | libblas-3gf.so,
               liblapack-dev | liblapack-3gf.so,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://sites.uclouvain.be/madlib/
Vcs-Browser: https://salsa.debian.org/debian/madlib
Vcs-Git: https://salsa.debian.org/debian/madlib.git

Package: libmadlib
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: mesh adaptation library
 This package contains the dynamic libraries for MAdLib.
 .
 MAdLib is a library that performs global node repositioning and mesh
 adaptation by local mesh modifications on tetrahedral or triangular
 meshes. It is designed to frequently adapt the mesh in transient
 computations. MAdLib is written in C++.
 .
 The adaptation procedure is driven by two objectives:
 .
 - make the edge lengths as close as possible to a (non-homogenous)
   prescribed length,
 .
 - maintain a satisfying element quality everywhere.
 .
 MAdLib can be used in transient computations in order to maintain a
 satisfying element quality (moving boundaries, multiphase flows with
 interface tracking, ...) or/and to apply selective refinements and
 coarsenings (error estimators based, interface capturing: shocks,
 free surfaces, ...).

Package: libmadlib-dev
Section: libdevel
Architecture: any
Depends: libmadlib,
         ${misc:Depends},
         ${shlibs:Depends},
Description: mesh adaptation library
 This package contains the development files (headers, so and static
 libraries) for MAdLib.
 .
 MAdLib is a library that performs global node repositioning and mesh
 adaptation by local mesh modifications on tetrahedral or triangular
 meshes. It is designed to frequently adapt the mesh in transient
 computations. MAdLib is written in C++.
 .
 The adaptation procedure is driven by two objectives:
 .
 - make the edge lengths as close as possible to a (non-homogenous)
   prescribed length,
 .
 - maintain a satisfying element quality everywhere.
 .
 MAdLib can be used in transient computations in order to maintain a
 satisfying element quality (moving boundaries, multiphase flows with
 interface tracking, ...) or/and to apply selective refinements and
 coarsenings (error estimators based, interface capturing: shocks,
 free surfaces, ...).

Package: madlib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: mesh adaptation library
 This package contains the documentation, Examples and tutorial for
 MAdLib.
 .
 MAdLib is a library that performs global node repositioning and mesh
 adaptation by local mesh modifications on tetrahedral or triangular
 meshes. It is designed to frequently adapt the mesh in transient
 computations. MAdLib is written in C++.
 .
 The adaptation procedure is driven by two objectives:
 .
 - make the edge lengths as close as possible to a (non-homogenous)
   prescribed length,
 .
 - maintain a satisfying element quality everywhere.
 .
 MAdLib can be used in transient computations in order to maintain a
 satisfying element quality (moving boundaries, multiphase flows with
 interface tracking, ...) or/and to apply selective refinements and
 coarsenings (error estimators based, interface capturing: shocks,
 free surfaces, ...).

=== debian/rules ===
#!/usr/bin/make -f

# Add here any variable or target overrides you need.
DEB_CONFIGURE_EXTRA_FLAGS :=       \
  --host=$(DEB_HOST_GNU_TYPE)      \
  --build=$(DEB_BUILD_GNU_TYPE)    \
  --prefix=/usr                    \
  --mandir=\$${prefix}/share/man   \
  --infodir=\$${prefix}/share/info\
  --enable-ann --enable-benchmarks \
  --with-hostname=debian

DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -n -e 's/\.*$$//p')
MADLIB_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)

%:
	dh $@ --without=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_installexamples:
	sed -i -e "s,$(CURDIR),BUILDDIR,g" variables
	dh_installexamples

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
https://sites.uclouvain.be/madlib/ Downloads/MAdLib_([\d._]+)@ARCHIVE_EXT@
